---
title: Import a Story (JSON)
description: Import a story from a JSON payload.
url: https://storyblok.com/docs/api/management/stories/import-a-story
---

# Import a Story (JSON)

PUT

```html
https://mapi.storyblok.com/v1/spaces/:space_id/stories/:story_id/import.json
```

Imports content onto an existing story from a JSON payload that has been exported from the [Export a Story (JSON)](/docs/api/management/stories/export-a-story) endpoint.

> [!NOTE]
> This endpoint is used by the [Import](https://www.storyblok.com/apps/import) and [Export](https://www.storyblok.com/apps/export) Translatable Fields apps. Exporting and importing stories is available in premium plans. Please refer to Storyblok’s [pricing](https://www.storyblok.com/pricing) for further information.

## Path parameters

-   `:space_id` (required) (number)
    
    Numeric ID of a space
    
-   `:story_id` (required) (number)
    
    The numeric ID of the story
    

## Query parameters

-   `version` (string)
    
    Default: `2`. Possible values: `1`, `2`.
    
    > [!WARNING]
    > Version 1 is deprecated. See [examples](/docs/api/management/stories/examples/export-import-json-examples) for more information on differences between versions.
    
-   `lang_code` (string)
    
    A language code (required for translation imports)
    
-   `import_lang` (boolean)
    
    Whether to import content for the specified `lang_code`. If `false` or omitted, it will fall back to default language values.
    

## Request body properties

-   `data` (required) (string)
    
    A stringified JSON object exported from [Export a Story (JSON)](/docs/api/management/stories/export-a-story).
    

## Response properties

-   `story` (The Story Object)
    
    A single [story object](/docs/api/management/stories/the-story-object)
    

## Examples

[Import a Story as JSON Examples](/docs/api/management/stories/examples/export-import-json-examples) Examples describing different ways to import a story as JSON.

## Pagination

-   [Previous: Export a Story (XML)](/docs/api/management/stories/export-a-story-xml)
-   [Next: Import a Story (XML)](/docs/api/management/stories/import-a-story-xml)
